ONVIF::Device::Elements::RestoreSystem(3)

NAME
ONVIF::Device::Elements::RestoreSystem

DESCRIPTION
Perl data type class for the XML Schema defined element RestoreSystem from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   BackupFiles

     $element->set_BackupFiles($data);
     $element->get_BackupFiles();

METHODS

  new
 my $element = ONVIF::Device::Elements::RestoreSystem->new($data);

Constructor. The following data structure may be passed to new():

 {
   BackupFiles =>  { # ONVIF::Device::Types::BackupFile
     Name =>  $some_value, # string
     Data =>  { # ONVIF::Device::Types::AttachmentData
       Include =>  { # ONVIF::Device::Types::Include
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL